/*********************************************************************

 Author        : ADI - Apps            www.analog.com/MicroConverter

 Date          : Sep. 2006

 File          : master.c

 Hardware      : Applicable to ADuC703x

 Description   : SPI master	to demonstrate with slave.c
		
*********************************************************************/
#include<ADuC7033.h>
void delay(int);

int main(void){
	GP0CON = 0x10001111;				// configure GPIO on SPI
	SPIDIV = 0xFF;//CC;					// set SPI clock 20480000/(2x(1+SPIDIV))
	SPICON = 0x104B;					// enable SPI master in continuous transfer mode 
										// slave select will stay low during the all transmission
while (1){
		SPITX = 0x55;				  	// transmit command or any dummy data
 		while ((SPISTA & 0x02) != 0x02);// wait for data received status bit
 		delay(20000);
	}
}

void delay (int length){
	while (length >=0)
    	length--;
}
